package org.nakedobjects.nos.client.web.server;

import java.io.File;

import org.nakedobjects.noa.security.SessionManager;
import org.nakedobjects.noa.security.ConnectionManager;
import org.nakedobjects.nof.core.system.ServerListener;
import org.nakedobjects.nos.client.web.component.ImageLookup;
import org.nakedobjects.nos.client.web.servlet.SystemAccess;


class WebListener implements ServerListener {
    private ConnectionManager connectionManager;
    private SessionManager sessionManager;

    public void listen() {
        /*
         * The following three directories allow for the different places files are to be found within the
         * different file layouts. These are for Maven/Eclipse, and the demo and examples directories in the
         * distributions.
         */
        if (new File("images").exists()) {
            ImageLookup.setImageDirectory("images");
        } else if (new File("web/images").exists()) {
            ImageLookup.setImageDirectory("web/images");
        } else {
            ImageLookup.setImageDirectory("src/main/resources/images");
        }
        new SystemAccess(connectionManager, sessionManager, true, false);
        NakedObjectsWebServer.init(8080);
    }

    public void setConnectionManager(ConnectionManager connectionManager) {
        this.connectionManager = connectionManager;
    }
    
    public void setSessionManager(final SessionManager sessionManager) {
        this.sessionManager = sessionManager;
    }

    public void stop() {}
}
// Copyright (c) Naked Objects Group Ltd.
